package com.bonus.canteen.core.supply.purchase.constants;

public enum DrpNoticeStyleEnum {
   NOT_NOTICE(1, "不通知"),
   SMS_NOTICE(2, "短信通知"),
   WECHAT_PUBLIC_NOTICE(3, "微信公众号通知");

   private final Integer key;
   private final String value;

   private DrpNoticeStyleEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpNoticeStyleEnum[] enums = values();
      DrpNoticeStyleEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpNoticeStyleEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpNoticeStyleEnum[] enums = values();
      DrpNoticeStyleEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpNoticeStyleEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }
}
